package org.example.wedding_app_backend.wedding.dto;

import lombok.*;

import java.time.LocalDateTime;
import java.util.UUID;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@ToString
@EqualsAndHashCode
public class GetWeddingResponse {
    private UUID id;
    private String name;
    private LocalDateTime eventStartDateTime;
}
