package org.example.wedding_app_backend.wedding.service;

import lombok.RequiredArgsConstructor;
import org.example.wedding_app_backend.wedding.entity.WeddingEntity;
import org.example.wedding_app_backend.wedding.repository.WeddingRepository;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Service
@RequiredArgsConstructor
public class WeddingService {

    private final WeddingRepository weddingRepository;

    public Optional<WeddingEntity> findWedding(UUID id) {
        return weddingRepository.findById(id);
    }

    public void saveWedding(WeddingEntity wedding) {
        weddingRepository.save(wedding);
    }
}
