package org.example.wedding_app_backend.weddingGuest.function;

import org.example.wedding_app_backend.weddingGuest.dto.*;
import org.example.wedding_app_backend.weddingGuest.entity.WeddingGuestEntity;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper(componentModel = "spring")
public interface WeddingGuestMapper {

    List<GetWeddingGuestResponse> entitiesToRepresentation(List<WeddingGuestEntity> entities);

    GetWeddingGuestResponse entityToRepresentation(WeddingGuestEntity entity);

    GetWeddingGuestQuizState quizEntityToRepresentation(WeddingGuestEntity entity);

    GetWeddingGuestQuizScore quizScoreEntityToRepresentation(WeddingGuestEntity entity);

    List<GetWeddingGuestsFinalScores> quizScoresEntityToRepresentation(List<WeddingGuestEntity> entity);

    GetWeddingGuestWhoKnowsBetterQuizState whoKnowsBetterQuizEntityToRepresentation(WeddingGuestEntity entity);
}
