package org.example.wedding_app_backend.weddingImage.repository;

import org.example.wedding_app_backend.wedding.entity.WeddingEntity;
import org.example.wedding_app_backend.weddingImage.entity.WeddingImageEntity;
import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.UUID;

@Repository
public interface WeddingImageRepository
        extends JpaRepository<WeddingImageEntity, UUID> {

    List<WeddingImageEntity> findAllByWedding(WeddingEntity wedding);

    List<WeddingImageEntity> findAllByWedding(WeddingEntity wedding, Sort sort);
}
