// auth.guard.ts
import { inject } from '@angular/core';
import { KeycloakService } from 'keycloak-angular';
import {CanActivateFn} from '@angular/router';

export const authGuard: CanActivateFn = () => {
  const keycloak = inject(KeycloakService);
  return keycloak.isLoggedIn();
};
